> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/betlink-integration/sports-trading-data/golf.md).

# Golf

This page will breakdown all the data sent to operator in the `bets` array of [bet placement message.](/betlink-integration/backend-integration/bet-placement-endpoint.md#betdetails)

| **field name**         | **Description**                                                             | **Example**                                                                                     |
| ---------------------- | --------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------- |
| betId                  | bet identifier                                                              |                                                                                                 |
| sportId                | sport identifier                                                            | `golf`                                                                                          |
| sportName              | sport name as per odds feed, always in English                              | `golf`                                                                                          |
| sportDisplayName       | sport name to be used for display purposes, is in configured language       | `Translated in configured language`                                                             |
| competitionId          | competition identifier                                                      | <p><code>comp.golf\_1320877 comp.golf\_1320865</code></p><p><code>comp.golf\_1320867</code></p> |
| competitionName        | competition name as per odds feed, always in English                        | `LPGA tour`                                                                                     |
| competitionDisplayName | competition name to be used for display purposes, is in configured language | `Translated in configured language`                                                             |
| eventId                | event (as in sporting event) identifier                                     | `ev.golf_17731`                                                                                 |
| eventName              | event name as per odds feed, always in English                              | `Mallorca Golf Open 2022`                                                                       |
| eventDisplayName       | event name to be used for display purposes, is in configured language       | `Translated in configured language`                                                             |
| marketTypeId           | market type identifier, to be used for trading purposes                     | `mt.outright`                                                                                   |
| marketId               | market identifier                                                           | `golf_17381_win`                                                                                |
| marketName             | market name as per odds feed, always in English                             | `Win`                                                                                           |
| marketDisplayName      | market name to be used for display purposes, is in configured language      | `Translated in configured language`                                                             |
| selectionId            | selection identifier                                                        | `g:3715`                                                                                        |
| selectionName          | selection name as per odds feed, always in English                          | `Seamus Power`                                                                                  |
| selectionDisplayName   | selection name to be used for display purposes, is in configured language   | `Translated in configured language`                                                             |
| decimalPrice           | price of a given selection                                                  | `9.5`                                                                                           |
| stake                  | customer stake                                                              | `100`                                                                                           |

#### Data Hierarchy <a href="#data-hierarchy" id="data-hierarchy"></a>

| **ID**        | **Hierarchy info**                                                                                        | **Details**                                                                                                                                                                                                                                                             |
| ------------- | --------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| sportId       | currently only support golf                                                                               |                                                                                                                                                                                                                                                                         |
| competitionId | each `competitionId` has a specific `sportId` (at the moment `sportId` is always golf)                    | there is a fixed list of `competitionIds` eg PGA, Euro Tour, LPGA, etc.                                                                                                                                                                                                 |
| eventId       | each `eventId` has a specified `competitionId`                                                            | `eventId` is unique for every event (eg The Open 2021 will have a different ID to The Open 2022 etc.)                                                                                                                                                                   |
| marketTypeId  | `marketTypeIds` are not event specific, each event will use a subset of or all predefined `marketTypeIds` | <p>there is a fixed list of <code>marketTypeIds</code> which are the same for every event (some tournaments have smaller offering see spreadsheet below.)<br><br>market type is a basically a grouping of markets, eg all 3 ball matches have the same market type.</p> |
| marketId      | each `marketId` has a specified `marketTypeId`                                                            | <p><code>marketId</code> is unique<br><br>\*Two different markets can have the same <code>marketTypeId</code></p>                                                                                                                                                       |
| selectionId   | each `selectionId` has a specified `marketId`                                                             | `selectionId` for selections in two different markets can be the same, `selectionId` is only unique when paired with `marketId`                                                                                                                                         |

#### Market Type List and Market Behaviour <a href="#market-type-list-and-market-behaviour" id="market-type-list-and-market-behaviour"></a>

Please request access to the following [spreadsheet](https://docs.google.com/spreadsheets/d/1AMb0eBCrLv2YMG41og0htpDEN13NzbUbzUkX7_fmmP4/edit?usp=sharing) for comprehensive trading info, including:

* All `marketTypeIds` , this is the field we suggested setting limits against
* Examples of `marketIds` , `marketNames` and `selectionNames` per each `marketTypeId`
* Market behaviour, for example at what point of a golf event a certain market opens, suspends, closes
* Margins

#### Important trading information

* The following validations are carried out by BetLink backend before making bet placement request to the operator:
  * price validation (there is no need for traders to validate or manage prices)
  * market, selection, event validation (there is no need for trading team to manage status of event or whether the selection/market/event exists or correlates to its defined selection/market/event.)
* In the event of loss of connection to BetLink Backend or upstream odds provider the BetLink UI will suspend all selections
* Currently only support singles, when multiples and complex bets are introduced BetLink will provide field \`betType\` and carry out validations around whether or not markets are related and can be combined.
* Currently support 3 `competitionIds`:
  * comp.golf\_1320877 (LPGA Tour)
  * comp.golf\_1320865 (PGA Tour)
  * comp.golf\_1320867 (European Tour)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/betlink-integration/sports-trading-data/golf.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
